I promlem using Deep learning dependencies

507
1
08-11-2021 05:32 PM
EldarBaykiev
New Contributor
 

 I've installed deep learning dependencies on ArcGIS Pro 2.8 using Deep Learning Frameworks Installer for windows, and when I try to use prepare_data, I get an error:

Exception                                 Traceback (most recent call last)
In  [30]:
Line 3:     chip_size=400)

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\learn\_data.py, in prepare_data:
Line 1037:  _raise_fastai_import_error()

File C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\learn\_data.py, in _raise_fastai_import_error:
Line 108:   raise Exception(f"{import_exception} \n\nDeep learning dependencies are missing. This module requires fastai, PyTorch, torchvision "

Exception: Traceback (most recent call last):

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\arcgis\learn\_data.py", line 21, in <module>
    from fastai.vision.data import imagenet_stats, ImageList, bb_pad_collate

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\fastai\vision\__init__.py", line 1, in <module>
    from .. import basics

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\fastai\basics.py", line 1, in <module>
    from .basic_train import *

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\fastai\basic_train.py", line 2, in <module>
    from .torch_core import *

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\fastai\torch_core.py", line 2, in <module>
    from .imports.torch import *

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\fastai\imports\__init__.py", line 1, in <module>
    from .core import *

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\fastai\imports\core.py", line 2, in <module>
    import math, matplotlib.pyplot as plt, numpy as np, pandas as pd, random

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\__init__.py", line 144, in <module>
    from pandas.io.api import (

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\io\api.py", line 8, in <module>
    from pandas.io.excel import ExcelFile, ExcelWriter, read_excel

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\io\excel\__init__.py", line 1, in <module>
    from pandas.io.excel._base import ExcelFile, ExcelWriter, read_excel

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\io\excel\_base.py", line 33, in <module>
    from pandas.io.parsers import TextParser

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\io\parsers\__init__.py", line 1, in <module>
    from pandas.io.parsers.readers import (

  File "C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\io\parsers\readers.py", line 17, in <module>
    from pandas._typing import (

ImportError: cannot import name 'DtypeArg' from 'pandas._typing' (C:\Program Files\ArcGIS\Pro\bin\Python\envs\arcgispro-py3\lib\site-packages\pandas\_typing.py)
 

Deep learning dependencies are missing. This module requires fastai, PyTorch, torchvision as its dependencies.

Please install all required dependencies by following the instructions at: 
https://developers.arcgis.com/python/guide/install-and-set-up/#Install-deep-learning-dependencies
0 Kudos
1 Reply
DanPatterson
MVP Esteemed Contributor

Esri/deep-learning-frameworks: Installation support for Deep Learning Frameworks for the ArcGIS Syst... is the main site, but their have been some issues which have now been closed.

See the suggestion on their github site for installation recommendations.

ArcGIS PRO 2.8 unable to create working deep-learning environment · Issue #20 · Esri/deep-learning-f...

 


... sort of retired...
0 Kudos